Redis redis-server configuration example for Ubuntu 12.04 LTS (Precise Pangolin)

Get the default configuration file redis-server for Redis, optimized for Ubuntu 12.04 LTS (Precise Pangolin). This example configuration ensures optimal compatibility and performance for Redis, making it easy to set up and adjust to meet your needs.

Find and download the configuration file here: /etc/init.d/redis-server.

For more configurations and setup guides, visit our related files section to further customize your system.

    #! /bin/sh
### BEGIN INIT INFO
# Provides:		redis-server
# Required-Start:	$syslog $remote_fs
# Required-Stop:	$syslog $remote_fs
# Should-Start:		$local_fs
# Should-Stop:		$local_fs
# Default-Start:	2 3 4 5
# Default-Stop:		0 1 6
# Short-Description:	redis-server - Persistent key-value db
# Description:		redis-server - Persistent key-value db
### END INIT INFO


PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/bin/redis-server
DAEMON_ARGS=/etc/redis/redis.conf
NAME=redis-server
DESC=redis-server

RUNDIR=/var/run/redis
PIDFILE=$RUNDIR/redis-server.pid

test -x $DAEMON || exit 0

set -e

case "$1" in
  start)
	echo -n "Starting $DESC: "
	mkdir -p $RUNDIR
	touch $PIDFILE
	chown redis:redis $RUNDIR $PIDFILE
	chmod 755 $RUNDIR
	if start-stop-daemon --start --quiet --umask 007 --pidfile $PIDFILE --chuid redis:redis --exec $DAEMON -- $DAEMON_ARGS
	then
		echo "$NAME."
	else
		echo "failed"
	fi
	;;
  stop)
	echo -n "Stopping $DESC: "
	if start-stop-daemon --stop --retry forever/QUIT/1 --quiet --oknodo --pidfile $PIDFILE --exec $DAEMON
	then
		echo "$NAME."
	else
		echo "failed"
	fi
	rm -f $PIDFILE
	;;

  restart|force-reload)
	${0} stop
	${0} start
	;;

  status)
	echo -n "$DESC is "
	if start-stop-daemon --stop --quiet --signal 0 --name ${NAME} --pidfile ${PIDFILE}
	then
		echo "running"
	else
		echo "not running"
		exit 1
	fi
	;;

  *)
	echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}" >&2
	exit 1
	;;
esac

exit 0

    
  

Config Details

Location
/etc/init.d/redis-server
Operating system
Ubuntu 12.04 LTS (Precise Pangolin)
Length
75 lines
MD5 checksum
4aed503598b30b515ef9b7ba534dd6d2

Usage

Download the raw file with wget or curl

Wget

wget -O redis-server.example https://exampleconfig.com/static/raw/redis/ubuntu12.04/etc/init.d/redis-server

cURL

curl https://exampleconfig.com/static/raw/redis/ubuntu12.04/etc/init.d/redis-server > redis-server.example